Bug 479165 - RT Java client documentation
RT Java client documentation
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Installation_and_Configuration_Guide (Show other bugs)
1.1
All Linux
high Severity high
: 1.2
: ---
Assigned To: Lana Brindley
Frantisek Reznicek
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-07 12:52 EST by Rajith Attapattu
Modified: 2015-11-15 19:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-09 00:30:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rajith Attapattu 2009-01-07 12:52:52 EST
We need to add a documentation section on how to configure the java client to run effectively on an RT environment.
Comment 1 Rajith Attapattu 2009-01-07 12:53:54 EST
As soon as I upload the patches to Qpid (and possibly commit them), I will add the documentation here or provide a URL to a wiki.
Comment 2 Rajith Attapattu 2009-01-12 22:47:00 EST
Running the JMS client with Realtime Java
=========================================
The JMS Client can be run with Realtime Java in order achieve more deterministic behaviour.
In order to run the client in the Realtime java environment you need to do the following,

1. The client needs to run on a real time operating system suported by your Realtime java vendor.
2. Place the realtime jars provided by your vendor (We support only Sun and IBM implementations) in your classpath
3. Set the following JVM argument.
   -Dqpid.thread_factory="org.apache.qpid.thread.RealtimeThreadFactory"
   This will ensure that the JMS Client will use javax.realtime.RealtimeThread's instead java.lang.Thread's.

Optionally you could also set a priority for the Threads using -Dqpid.rt_thread_priority=30.
The default value is set at 20.

Based on your workload you will need to tune the JVM to achieve the best results.
Please refer to your vendors JVM tuning guide on how to tune your JVM.

<this is work in progress - the report/white paper is likely not to happen before MRG 1.1 goes out>
The following whitepaper illustrates tuning Sun Realtime JVM 2.1 on Red Hat MRG Realtime<insert version> for a sample MRG Messaging work load.
</this is work in progress - the report/white paper is likely not to happen before MRG 1.1 goes out>
Comment 3 Lana Brindley 2009-01-14 01:10:12 EST
I'm passing this on to Jonathan, as it really belongs in the Tutorial.

Cheers,
LKB
Comment 4 Jonathan Robie 2009-01-14 10:29:40 EST
I really don't think this belongs in the Tutorial - the Installation Guide seems like the right place, probably in a new section. 

Jonathan
Comment 5 Lana Brindley 2009-01-14 20:40:39 EST
OK, I can run with that. It's moved into 1.1.1.

LKB
Comment 6 Lana Brindley 2009-02-11 21:22:52 EST
And has now slipped into the next release.

LKB
Comment 8 Lana Brindley 2009-10-09 00:30:23 EDT
Done.

LKB

Note You need to log in before you can comment on or make changes to this bug.